Bug 141872 - crash crashes when loading a vmcore file from netdump.
crash crashes when loading a vmcore file from netdump.
Product: Fedora
Classification: Fedora
Component: crash (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Anderson
Depends On:
  Show dependency treegraph
Reported: 2004-12-04 08:47 EST by Mark Levitt
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-05 11:11:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark Levitt 2004-12-04 08:47:45 EST
Description of problem:
crash crashes trying to load a netdumped vmcore file.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install kernel-debuginfo package
2. Obtain netdump vmcore file (use the netdump crash.o module)
3. run  crash /boot/System.map-2.6.9-1.681_FC3
Actual results:
crash 3.8-5
Copyright (C) 2002, 2003, 2004  Red Hat, Inc.
Copyright (C) 1998-2003  Hewlett-Packard Co
Copyright (C) 1999, 2002  Silicon Graphics, Inc.
Copyright (C) 1999, 2000, 2001, 2002  Mission Critical Linux, Inc.
This program is free software, covered by the GNU General Public License,
and you are welcome to change it and/or distribute copies of it under
certain conditions.  Enter "help copying" to see the conditions.
This program has absolutely no warranty.  Enter "help warranty" for

GNU gdb 6.1
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and
you are
welcome to change it and/or distribute copies of it under certain
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for
This GDB was configured as "i686-pc-linux-gnu"...

please wait... (gathering task table data)
crash: using an invalid structure member offset

[/usr/bin/crash] error trace: 8081b01 => 80b2684 => 80b42d5 => 80f9083
/usr/bin/nm: /usr/bin/crash: no symbols
/usr/bin/nm: /usr/bin/crash: no symbols
/usr/bin/nm: /usr/bin/crash: no symbols
/usr/bin/nm: /usr/bin/crash: no symbols

Expected results:
crash starts and reads in the vmcore file.

Additional info:
Comment 1 Dave Anderson 2004-12-06 11:22:29 EST
Right, the FC3 package needs updating...

In the meantime, you can always get the latest version of
crash from:


where you can find both src.rpm and a tar.gz source packages 
(whichever you prefer) that you can build on your host system.

Using the src.rpm package, just do an "rpm -ivh crash-3.10-1.src.rpm",
go to the /usr/src/redhat/SPECS (or as directed by your .rpmmacros
redirect), and do a "rpmbuild -bb crash.spec".  Then either install
the resultant binary RPM, or just copy the crash executable from the
top-level ../SOURCES/crash-3.10-1 directory.

Alternatively, do a "tar xvzf crash-3.10-1.tar.gz", cd into the
crash-3.10-1 directory, and just type "make".  The crash executable
will end up in that top-level directory.

Comment 2 Matthew Miller 2006-07-10 16:20:13 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-11-05 11:11:17 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.